Welcome, Guest
How can I run Classic under 10.6.3?
(1 viewing) (1) Guest

TOPIC: How can I run Classic under 10.6.3?

How can I run Classic under 10.6.3? 8 years ago #1047

I have been searching for a way to run my classic apps on my new mac, but haven't found a good solution. tried using SheepShaver, but the dock icon bounces for 3 seconds before crashing, and I doubt that I can install classic support under 10.6, so is there any other way? thank you very much!

Re: How can I run Classic under 10.6.3? 8 years ago #1052

When you say "Classic" I'm guessing you mean OS 9, in which case SheepShaver is the way to go. Get the Classic-on-intel (COI) package from your bittorrent tracker of choice, then, after following the provided setup instructions, replace the bundled version of Sheepshaver with the latest build (from here). It should work fine after that.

If you are referring to pre-OS 9 apps, then you might want to try Basilisk II (for 68k and OS 7/8 apps), or even mini vMac (for Mac Plus era software)
Last Edit: 8 years ago by mossy_11.

Re:How can I run Classic under 10.6.3? 7 years, 11 months ago #1208

I just installed SheepShaver. It crashes right away because of the ROM file not being there. The OS9 Rom does not work. You'll need an OS8 ROM for a CD. Try that if the other doesn't work.

Re:How can I run Classic under 10.6.3? 7 years, 11 months ago #1215

DJ Hot Wheel wrote:
I just installed SheepShaver. It crashes right away because of the ROM file not being there. The OS9 Rom does not work. You'll need an OS8 ROM for a CD. Try that if the other doesn't work.


OS 9 greater than 9.0.4 will not work. 9.0.4 should work, but 9.1 and 9.2.x will not for the obvious reason that those were created for specific Mac models.

Time to create page: 0.10 seconds